Arquivo do mês: abril 2009

Escala em Múltiplos Objetos

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ;; Altera uma seqüência de objetos com um fator de escala constante e pontos base diferentes. (defun c:xEscala ()(setq k (getreal “Fator de Escala “))(while k(setq o (ssget))(setq … Continuar lendo

Publicado em Arquitetura, AutoCAD, Autolisp, Desenho, Engenharia Civil | Deixe um comentário

Texto com Offset

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ;; Pede um ponto e coloca o texto que você digitar nas proximidades deste ponto. Util para colocar textos próximos a endpoints, vértices etc. evitando que o texto … Continuar lendo

Publicado em Arquitetura, AutoCAD, Autolisp, Desenho, Engenharia Civil | Deixe um comentário

Cotar Desnível e Comprimento de Coletores

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ;; Escreve a cota do ponto inicial (primeiro ponto clicado) e a distância entre os pontos clicados (você ainda poderá alinhar o texto na direção definida pelos pontos) … Continuar lendo

Publicado em Arquitetura, AutoCAD, Autolisp, Desenho, Engenharia Civil, Redes | Deixe um comentário

Inserir texto e Alinhar

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ;; Insere o texto (variável c) e permite que você defina que ele tenha um rotação adequada para que fique mais ou menos paralelo ao segmento cotado. (defun … Continuar lendo

Publicado em Arquitetura, AutoCAD, Autolisp, Desenho, Engenharia Civil | Deixe um comentário

Soma todos os Textos Selecionados

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ; Soma todos os Textos Selecionados (defun c:SomarTexto() (setq en 0 k 0 d 0) (setq o (ssget)) (command “change” o “” “p” “c” “7” “”) (while en … Continuar lendo

Publicado em Arquitetura, AutoCAD, Autolisp, Desenho, Engenharia Civil | Deixe um comentário

Soma textos com sufixos

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ;; Soma textos com sufixos (por exemplo 1m + 2m + 3m) e escreve o resultado no desenho (defun c:SomaTXTS ()(setq kr 0)(setq n 1)(while (= n 1)(setq … Continuar lendo

Publicado em Arquitetura, AutoCAD, Autolisp, Desenho, Engenharia Civil | Deixe um comentário

Números em ordem crescente dentro de círculos

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ;; Escreve números em ordem crescente dentro de pequenos círculos (defun c:CresNumC ()(setq p1 (getpoint “P …”))(setq k (getreal “n”))(while k(setq k (+ k 1))(setq ks (rtos k … Continuar lendo

Publicado em Arquitetura, AutoCAD, Autolisp, Desenho, Engenharia Civil | Deixe um comentário